Arch Add/ro: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
Line 16: Line 16:
== Cum se folosește ==
== Cum se folosește ==


# Selectați obiectul (obiectele) care urmează să fie adăugat e, apoi obiectul "gazdă" (obiectul gazdă trebuie să fie ultimul selectat)
# Select the object(s) to be added, then the "host" object (the host object must be the last one you selected)
# Press the {{KEY|[[Image:Arch Add.png|16px]] '''Add'''}} button
# Apăsați tasta {{KEY|[[Image:Arch Add.png|16px]] '''Add'''}}


==Scripting==
==Scripting==

Revision as of 16:41, 10 August 2018

Arch Add

Menu location
Arch → Add
Workbenches
Arch
Default shortcut
None
Introduced in version
-
See also
Arch Remove

Descriere

Instrumentul Add vă permite 4 feluri de operații:

In the above image, a box is being added to a wall.

Cum se folosește

  1. Selectați obiectul (obiectele) care urmează să fie adăugat e, apoi obiectul "gazdă" (obiectul gazdă trebuie să fie ultimul selectat)
  2. Apăsați tasta Add

Scripting

The Add tool can by used in macros and from the python console by using the following function:

addComponents (objectsList,hostObject)
  • Adds the given object or the objects from the given list as components to the given host Object. Use this for example to add windows to a wall, or to add walls to a floor.
  • Returns nothing.

Example:

import FreeCAD, Arch, Draft, Part
line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
wall = Arch.makeWall(line)
box = Part.makeBox(1,1,1)
Arch.addComponents(box,wall)